> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a documents attachments



## OpenAPI

````yaml get /suppliers/{id}/supplier_documents/{document_id}/document_attachments
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /suppliers/{id}/supplier_documents/{document_id}/document_attachments:
    get:
      tags:
        - Suppliers
      summary: Retrieve a documents attachments
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: document_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: array
                items:
                  properties:
                    id:
                      type: integer
                      example: '41'
                    file_file_name:
                      type: string
                      example: Certification of Insurance 2023
                    file_content_type:
                      type: string
                      example: >-
                        application/vnd.openxmlformats-officedocument.wordprocessingml.document
                    file_file_size:
                      type: integer
                      format: '12590'
                    direct_upload_url:
                      type: string
                      format: www.upload.co.uk
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````